Skip to main content

Service Credentials Actions

https://api.losant.com/applications/APPLICATION_ID/credentials

Below are the various requests that can be performed against the Service Credentials resource, as well as the expected parameters and the potential responses.

Get​

Returns a collection of credentials for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/credentials

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, credentials.*, or credentials.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, type, creationDate, lastUpdatedcreationDatesortField=creationDate
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, typefilterField=type
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=aws

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/credentials

Successful Responses​

CodeTypeDescription
200CredentialsCollection of credentials

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new credential for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/credentials

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, credentials.*, or credentials.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Credential Post schema. For example, the following would be a valid body for this request:

{
"name": "locker",
"type": "azure",
"enabled": true,
"azureConfig": {
"account": "my account",
"accountKey": "123abc"
}
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"locker","type":"azure","enabled":true,"azureConfig":{"account":"my account","accountKey":"123abc"}}' \
https://api.losant.com/applications/APPLICATION_ID/credentials

Successful Responses​

CodeTypeDescription
201CredentialSuccessfully created credential

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Credential​

Schema for a single Credential

Credential Schema​

  • ▶
    {} 5 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 29 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 1 key
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 4 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 4 keys
                                      • ▶
                                        {} 4 keys
                                        • ▶
                                          {} 3 keys
                                          • ▶
                                            {} 4 keys
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 4 keys
                                                • ▶
                                                  {} 4 keys
                                                  • ▶
                                                    {} 4 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 4 keys
                                                          • ▶
                                                            {} 4 keys
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 3 keys
                                                              • false
                                                              • ▶
                                                                [] 2 items

                                                              Credential Example​

                                                              • ▶
                                                                {} 12 keys
                                                                • "575ece2b7ae143cd83dc4a9b"
                                                                • "575ece2b7ae143cd83dc4a9c"
                                                                • "2016-06-13T04:00:00.000Z"
                                                                • "2016-06-13T04:00:00.000Z"
                                                                • "user"
                                                                • "575ece2b7ae143cd83dc4a9d"
                                                                • "user"
                                                                • "575ece2b7ae143cd83dc4a9d"
                                                                • "Dave"
                                                                • "azure"
                                                                • true
                                                                • ▶
                                                                  {} 1 key

                                                                Credential Post​

                                                                Schema for a Credential creation request

                                                                Credential Post Schema​

                                                                • ▶
                                                                  {} 5 keys
                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                  • "object"
                                                                  • ▶
                                                                    {} 20 keys
                                                                    • ▶
                                                                      {} 3 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 1 key
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 4 keys
                                                                              • ▶
                                                                                {} 4 keys
                                                                                • ▶
                                                                                  {} 4 keys
                                                                                  • ▶
                                                                                    {} 4 keys
                                                                                    • ▶
                                                                                      {} 4 keys
                                                                                      • ▶
                                                                                        {} 4 keys
                                                                                        • ▶
                                                                                          {} 4 keys
                                                                                          • ▶
                                                                                            {} 4 keys
                                                                                            • ▶
                                                                                              {} 4 keys
                                                                                              • ▶
                                                                                                {} 4 keys
                                                                                                • ▶
                                                                                                  {} 4 keys
                                                                                                  • ▶
                                                                                                    {} 4 keys
                                                                                                    • ▶
                                                                                                      {} 4 keys
                                                                                                      • ▶
                                                                                                        {} 4 keys
                                                                                                        • ▶
                                                                                                          {} 4 keys
                                                                                                          • ▶
                                                                                                            {} 4 keys
                                                                                                          • false
                                                                                                          • ▶
                                                                                                            [] 2 items

                                                                                                          Credential Post Example​

                                                                                                          • ▶
                                                                                                            {} 4 keys
                                                                                                            • "locker"
                                                                                                            • "azure"
                                                                                                            • true
                                                                                                            • ▶
                                                                                                              {} 2 keys

                                                                                                            Credentials​

                                                                                                            Schema for a collection of Credentials

                                                                                                            Credentials Schema​

                                                                                                            • ▶
                                                                                                              {} 3 keys
                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                              • "object"
                                                                                                              • ▶
                                                                                                                {} 10 keys
                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • ▶
                                                                                                                    {} 1 key
                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • ▶
                                                                                                                        {} 1 key
                                                                                                                        • ▶
                                                                                                                          {} 1 key
                                                                                                                          • ▶
                                                                                                                            {} 1 key
                                                                                                                            • ▶
                                                                                                                              {} 1 key
                                                                                                                              • ▶
                                                                                                                                {} 1 key
                                                                                                                                • ▶
                                                                                                                                  {} 2 keys
                                                                                                                                  • ▶
                                                                                                                                    {} 2 keys

                                                                                                                                Credentials Example​

                                                                                                                                • ▶
                                                                                                                                  {} 7 keys
                                                                                                                                  • ▶
                                                                                                                                    [] 1 item
                                                                                                                                    • 1
                                                                                                                                    • 5
                                                                                                                                    • 1
                                                                                                                                    • 0
                                                                                                                                    • "name"
                                                                                                                                    • "asc"

                                                                                                                                  Error​

                                                                                                                                  Schema for errors returned by the API

                                                                                                                                  Error Schema​

                                                                                                                                  • ▶
                                                                                                                                    {} 3 keys
                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                    • "object"
                                                                                                                                    • ▶
                                                                                                                                      {} 3 keys
                                                                                                                                      • ▶
                                                                                                                                        {} 1 key
                                                                                                                                        • ▶
                                                                                                                                          {} 1 key
                                                                                                                                          • ▶
                                                                                                                                            {} 2 keys

                                                                                                                                        Error Example​

                                                                                                                                        • ▶
                                                                                                                                          {} 2 keys
                                                                                                                                          • "NotFound"
                                                                                                                                          • "Application was not found"

                                                                                                                                        Was this page helpful?


                                                                                                                                        Still looking for help? You can also search the Losant Forums or submit your question there.